mail::MailDelivery Class Reference

`#include <MailDelivery.h>`

Inheritance diagram for mail::MailDelivery:
[legend]
Collaboration diagram for mail::MailDelivery:
[legend]

## Public Member Functions

| MailDelivery (core::EPoll &ePoll, std::string mailQueue)
void | onDataReceived (std::string data) override
int | startDelivery (std::string mailQueue)
int | deliver ()
std::string | getMailFileName ()

## Constructor & Destructor Documentation

## MailDelivery()

mail::MailDelivery::MailDelivery | ( | core::EPoll & | ePoll,
|  | std::string | mailQueue
| ) |  |

## Member Function Documentation

## deliver()

int mail::MailDelivery::deliver | ( |  | ) |

## getMailFileName()

std::string mail::MailDelivery::getMailFileName | ( |  | ) |

## onDataReceived()

void mail::MailDelivery::onDataReceived | ( | std::string | data | ) |

override

## startDelivery()

int mail::MailDelivery::startDelivery | ( | std::string | mailQueue | ) |

The documentation for this class was generated from the following files:

- /home/bradarant/barant/BMAMail/MailDelivery.h
- /home/bradarant/barant/BMAMail/MailDelivery.cpp